Gentoo Archives: gentoo-user

From: Andrey Moshbear <andrey.vul@×××××.com>
To: gentoo-user <gentoo-user@l.g.o>
Subject: [gentoo-user] Gcc bug 1773
Date: Fri, 04 Nov 2011 10:47:52
Message-Id: CAFnZeoQddG56pPGcNdViJ0rw6Jm+_QC1mqpTziX3iouEK=z7eg@mail.gmail.com
1 While gentoo is not solaris 8, are there any packages for which
2 setting __cplusplus to 199711L would break compiles?
3
4 If there isn't, I'm going to hack the patches for 1773 together and
5 include it on the bugzilla as a backport from gcc 4.7.0 so that it
6 could become part of the gcc-gentoo patchset for 4.
7 Also, the C++11 __cplusplus revision for gcc-4.5, gcc-4.6. (4.4's
8 c++0x is rather incomplete; 4.5 and 4.6 are better, because it's
9 closer to somewhat-ish instead of partial.
10
11
12 -- m0shbear